//*****************************
//*       Teal'cs Hydro shader*
//*****************************





///////////
//Blue Cagelight Modification
//

models/mapobjects/tealc/cagelight_x
{
	surfaceparm nomarks
	q3map_lightimage models/mapobjects/tealc/cagelight_x.tga
	q3map_surfacelight 19000
	q3map_lightrgb 0.288 0.334 1.0
	light 1
	
// cagelight white
	
	{
		map models/mapobjects/tealc/cagelight_x.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
	}
	{
		map models/mapobjects/tealc/cagelight.blendx.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/skies/rf_hydrosky_141
{
	qer_editorimage textures/skies/sky_10.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512 
	q3map_sun	1.0 0.8 0.6 55 345 75
	q3map_surfacelight 100
	fogvars ( 0.3 0.4 0.5 ) 4000
	//skyfogvars ( .75 .75 .9 ) .0001

	surfaceparm nodlight	// (SA) added so dlights don't affect surface

	skyparms full 200 -
	
	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.002 0.002
		tcMod scale 1 1
		tcMod turb 0 0.05 0 .08

		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -0.001 -0.005
		tcMod scale 10 10
	}
}

textures/mp_hydro_141/xp_sub_water_141

//Teal'cs Sub Water Modification
		
	{
		qer_editorimage textures/liquids/pool3d_3f.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nomarks
		tesssize 512
		cull disable
		deformVertexes wave 100 sin -5 5 0 .3	// the originalchop

		{ 
			map textures/mp_hydro_141/xp141_pool3.tga
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			tcmod scale 0.25 0.25
			tcmod turb 0 0.05 0 0.1 //turbulence na anplitude phase freq
			tcmod scroll .045 .0001
		}
	
	//	{ 
	//		map textures/mp_hydro_141/xp141_pool3.tga
	//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	//		rgbgen identity
	//		tcmod scale -1 -1
	//		tcmod scroll .025 .025
	//	}	


		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	
	}

//////Block Light Emitting from one area

textures/mp_hydro_141/block_light 
{ 
qer_trans 0.3 
surfaceparm nodraw 
surfaceparm nomarks 
surfaceparm nonsolid 
surfaceparm nolightmap 
{ 
map textures/mp_hydro_141/blank_trans.tga 
alphaFunc GE128 
depthWrite 
} 
} 

textures/lights/light_hydro_lred
{
    //q3map_lightimage textures/lights/light_m5.blend.tga
    qer_editorimage textures/lights/light_tp_m07.tga
    q3map_surfacelight 2000
//    light 1
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
	  tcgen lightmap	
    }
    {
        map textures/lights/light_tp_m07.tga
        blendfunc filter
        rgbGen identity
    }
    {
		map textures/lights/light_tp_m2.blend.tga
		blendfunc add
    }
}

textures/lights/light_hydro_lblu
{
	qer_editorimage textures/mp_hydro_141/light_tb_m07.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/mp_hydro_141/light_tb_m07.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendfunc add
	}
}

